Bug 14299 - Today's checkouts not always sorting correctly
Summary: Today's checkouts not always sorting correctly
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 13908
Blocks:
  Show dependency treegraph
 
Reported: 2015-05-29 13:36 UTC by Kyle M Hall
Modified: 2016-12-05 21:23 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14299 - Today's checkouts not always sorting correctly (1.16 KB, patch)
2015-05-29 13:37 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14299 - Today's checkouts not always sorting correctly (1.16 KB, patch)
2015-05-29 13:39 UTC, Kyle M Hall
Details | Diff | Splinter Review
[Signed-off] Bug 14299 - Today's checkouts not always sorting correctly (1.34 KB, patch)
2015-06-01 13:33 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 14299 - Today's checkouts not always sorting correctly (1.39 KB, patch)
2015-06-03 17:04 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2015-05-29 13:36:24 UTC
Sometimes the today's checkouts do not sort correctly. This is due to a simple type in the comparison line where the bad key 'timstamp' is compared against the correct key 'timestamp'.
Comment 1 Kyle M Hall 2015-05-29 13:37:57 UTC Comment hidden (obsolete)
Comment 2 Kyle M Hall 2015-05-29 13:38:52 UTC
There is a typo in my description ; )

I wrote 'type' instead of 'typo'.
Comment 3 Kyle M Hall 2015-05-29 13:39:16 UTC Comment hidden (obsolete)
Comment 4 Marc Véron 2015-06-01 13:33:55 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2015-06-03 17:04:29 UTC
Created attachment 39810 [details] [review]
Bug 14299 - Today's checkouts not always sorting correctly

Sometimes the today's checkouts do not sort correctly. This is due to a
simple typo in the comparison line where the bad key 'timstamp' is
compared against the correct key 'timestamp'.

Test Plan:
1) Check out a decent number of items in a row ( 5+ )
2) Hopefully you will see they are sorted incorrectly
3) Apply this patch
4) Reload the page
5) Note they are now sorted correctly

Followed test plan. Works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>
Comment 6 Tomás Cohen Arazi 2015-06-05 16:02:42 UTC
Patch pushed to master.

Thanks Kyle!
Comment 7 Chris Cormack 2015-06-07 08:27:54 UTC
Pushed to 3.20.x will be in 3.20.1
Comment 8 Liz Rea 2015-06-22 22:41:11 UTC
Patch pushed to 3.18.x will be in 3.18.08